Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins
Class SecurityInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.ejb.plugins.SecurityInterceptor

All Implemented Interfaces:
  AllowedOperationsFlags, ContainerPlugin, Interceptor, org.jboss.system.Service

public class SecurityInterceptor
extends AbstractInterceptor

The SecurityInterceptor is where the EJB 2.0 declarative security model is enforced. This is where the caller identity propagation is controlled as well.

Version:
  $Revision: 1.46.4.4.2.1 $
Author:
  Oleg Nitz, Scott Stark., Thomas Diesler.

Field Summary
`protected RealmMapping` | `realmMapping` The authorization manager plugin
`protected RunAsIdentity` | `runAsIdentity`
`protected AuthenticationManager` | `securityManager` The authentication manager plugin
`protected Map` | `securityRoles`

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`SecurityInterceptor()`

Method Summary
`Object` | `invoke(Invocation mi)` ???
`Object` | `invokeHome(Invocation mi)` ???
`void` | `setContainer(Container container)` Called by the super class to set the container to which this interceptor belongs.
`void` | `start()`

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`create, destroy, getContainer, getNext, setNext, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### securityManager

    protected AuthenticationManager securityManager

  The authentication manager plugin

### realmMapping

    protected RealmMapping realmMapping

  The authorization manager plugin

### runAsIdentity

    protected RunAsIdentity runAsIdentity

### securityRoles

    protected Map securityRoles

Constructor Detail

### SecurityInterceptor

    public SecurityInterceptor()

Method Detail

### setContainer

    public void setContainer(Container container)

  Called by the super class to set the container to which this interceptor belongs. We obtain the security manager and runAs identity to use here.

  Specified by:
    `setContainer` in interface `ContainerPlugin`
  Overrides:
    `setContainer` in class `AbstractInterceptor`

### start

    public void start()
               throws Exception

  Specified by:
    `start` in interface `org.jboss.system.Service`
  Overrides:
    `start` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invokeHome

    public Object invokeHome(Invocation mi)
                      throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invokeHome` in interface `Interceptor`
  Overrides:
    `invokeHome` in class `AbstractInterceptor`
  Throws:
    `Exception`

### invoke

    public Object invoke(Invocation mi)
                  throws Exception

  Description copied from interface: `Interceptor`
  ???

  Specified by:
    `invoke` in interface `Interceptor`
  Overrides:
    `invoke` in class `AbstractInterceptor`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.